//	AsyncAlert.h
//
//	An alert that lets you know what it decided by a BMessage
//
//	Jon Watte (h+@metrowerks.com) 96-09-29

#pragma once


#include <Window.h>


class AsyncAlert :
	public BWindow
{
public:
								AsyncAlert(
									const char *	message,
									BMessage *		reply = NULL,
									BHandler *		target = NULL,
									const char *	btn1 = NULL,
									const char *	btn2 = NULL,
									const char *	btn3 = NULL);

		void					Go();
		bool					QuitRequested();
		void					MessageReceived(
									BMessage *		message);

protected:

		BTextView *				fMessage;
		BMessage *				fReply;
		BHandler *				fTarget;

		BButton *				MakeButton(
									const BRect &	bounds,
									long			ix,
									const char *	title);
		void					Resize();

};
