#!/bin/sh
if [ ! -f /system/lib/Datatypes.lib ]
then	echo "NOTE: PluginEditors requires Datatypes.lib v1.3 or better"
fi
echo "Please read the files README.doc and PLUGIN.doc"
if [ ! -d /boot/Editors ]
then	echo "Creating folder /boot/Editors"
	mkdir /boot/Editors
fi
echo "chmod-ing executables"
chmod a+x PluginEditors.lib
chmod a+x TextEditor
chmod a-x ContainerApp
chmod a+x ContainerApp
mwcc -o stc stc.c
chmod a+x stc
echo "Installing sample editor into /boot/Editors"
cp TextEditor /boot/Editors/
echo "Installing PluginEditors.lib into /system/lib"
cp PluginEditors.lib /system/lib/
echo "Setting file types"
./stc MMPr MIDE *.proj
./stc TEXT MIDE */*.cpp */*.h *.doc setup.sh stc.c
echo "Done."
echo "To re-compile, don't forget to point your access paths"
echo "at the Useful_Classes folder from your CodeWarrior CD."
